Summary: A set of tools for megaraid based file servers
Name: megaraid-util
Version: 1.01.39
Release: 4.cern
License: Unknown
URL: http://lsi.com
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}.tar.gz
ExclusiveArch: i386 i686 x86_64
Packager: Andras.Horvath@cern.ch

%description
Utilities for managing LSI Megaraid (Dell, Intel, etc) hardware RAID
controllers.

%package cli
Summary: LSI Megaraid Disk Management Utilities - Command Line Interface
Group: System Environment/Base

%description cli
The LSI command line management utility, allows you to view status and
version information about your Dell PERC, Intel IOP* and other Megaraid-based
controllers.

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/sbin
install -m 755 x86/megarc %{buildroot}/usr/sbin/megarc
%ifarch i386 i686
install -m 755 x86/megacli %{buildroot}/usr/sbin/megacli
%else
install -m 755 x86_64/megacli %{buildroot}/usr/sbin/megacli
%endif

%clean
rm -rf %{buildroot}

%files cli
%defattr(-,root,root)
/usr/sbin/megacli
/usr/sbin/megarc

%changelog
* Tue Oct 24 2007 Andras Horvath <Andras.Horvath@cern.ch> 1.01.39.3.cern
- cosmetic changes
- include 'megarc' which can manage the older cards

* Tue Oct 24 2007 Andras Horvath <Andras.Horvath@cern.ch> 1.01.39
- first release
